| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
OD::Color Class Reference
Basic

`#include <color.h>`

## Public Member Functions
| Color (unsigned char r_=255, unsigned char g_=255, unsigned char b_=255, unsigned char t_=0)
| Color (unsigned int rgbval)
| ~Color ()
float | average () const
unsigned char | b () const
float | bF () const
Color | complementaryColor () const
TypeSet< Color > | complimentaryColors (int) const
float | contrast (const Color &) const
Color | darker (float fac) const
TypeSet< Color > | distinctColors (int) const
void | fill (BufferString &) const
bool | fromDescription (const char *)
unsigned char | g () const
const char * | getDescription () const
void | getHSV (unsigned char &h, unsigned char &s, unsigned char &v) const
float | getRelLuminance () const
const char * | getStdStr (bool withhash=true, int transpopt=0) const
float | gF () const
bool | isVisible () const
const char * | largeUserInfoString () const
Color | lighter (float fac) const
bool | operator!= (const Color &c) const
bool | operator== (const Color &c) const
unsigned char | r () const
float | rF () const
unsigned int & | rgb ()
unsigned int | rgb () const
void | set (unsigned char r_, unsigned char g_, unsigned char b_, unsigned char t_=0)
void | setHSV (unsigned char h, unsigned char s, unsigned char v)
void | setRgb (unsigned int rgb_)
void | setStdStr (const char *)
| e.g. "#00ff32"
void | setTransparency (unsigned char t_)
void | setTransparencyF (float tf)
unsigned char | t () const
float | tF () const
bool | use (const char *)

## Static Public Member Functions
static Color | Anthracite ()
static Color | Black ()
static Color | Blue ()
static void | convertFromStr (const BufferStringSet &, TypeSet< Color > &)
static void | convertToStr (const TypeSet< Color > &, BufferStringSet &)
static const TypeSet< Color > & | descriptionCenters ()
static const BufferStringSet & | descriptions ()
static Color | DgbColor ()
static float | getFloat (unsigned char)
static unsigned char | getUChar (float v)
static Color | Green ()
static Color | interpolate (const Color &, const Color &, float frac=0.5)
static Color | LightGrey ()
static Color | NoColor ()
static int | nrStdDrawColors ()
static Color | Orange ()
static Color | Peach ()
static Color | Red ()
static Color | stdDrawColor (int)
static Color | White ()
static Color | Yellow ()

## Protected Attributes
unsigned int | col_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Color() [1/2]

OD::Color::Color | ( | unsigned char | r_ = 255,
|  | unsigned char | g_ = 255,
|  | unsigned char | b_ = 255,
|  | unsigned char | t_ = 0 )

## ◆ Color() [2/2]

OD::Color::Color | ( | unsigned int | rgbval | ) |

## ◆ ~Color()

OD::Color::~Color | ( |  | ) |

## Member Function Documentation

## ◆ Anthracite()

static Color OD::Color::Anthracite | ( |  | ) |
| inline static

## ◆ average()

float OD::Color::average | ( |  | ) | const
| inline

## ◆ b()

unsigned char OD::Color::b | ( |  | ) | const

## ◆ bF()

float OD::Color::bF | ( |  | ) | const
| inline

## ◆ Black()

static Color OD::Color::Black | ( |  | ) |
| inline static

## ◆ Blue()

static Color OD::Color::Blue | ( |  | ) |
| inline static

## ◆ complementaryColor()

Color OD::Color::complementaryColor | ( |  | ) | const

## ◆ complimentaryColors()

TypeSet< Color > OD::Color::complimentaryColors | ( | int |  | ) | const

## ◆ contrast()

float OD::Color::contrast | ( | const Color & |  | ) | const

## ◆ convertFromStr()

static void OD::Color::convertFromStr | ( | const BufferStringSet & | ,
|  | TypeSet< Color > & | )
| static

## ◆ convertToStr()

static void OD::Color::convertToStr | ( | const TypeSet< Color > & | ,
|  | BufferStringSet & | )
| static

## ◆ darker()

Color OD::Color::darker | ( | float | fac | ) | const
| inline

## ◆ descriptionCenters()

static const TypeSet< Color > & OD::Color::descriptionCenters | ( |  | ) |
| static

## ◆ descriptions()

static const BufferStringSet & OD::Color::descriptions | ( |  | ) |
| static

## ◆ DgbColor()

static Color OD::Color::DgbColor | ( |  | ) |
| inline static

## ◆ distinctColors()

TypeSet< Color > OD::Color::distinctColors | ( | int |  | ) | const

## ◆ fill()

void OD::Color::fill | ( | BufferString & |  | ) | const

## ◆ fromDescription()

bool OD::Color::fromDescription | ( | const char * |  | ) |

## ◆ g()

unsigned char OD::Color::g | ( |  | ) | const

## ◆ getDescription()

const char * OD::Color::getDescription | ( |  | ) | const

## ◆ getFloat()

static float OD::Color::getFloat | ( | unsigned char |  | ) |
| static

## ◆ getHSV()

void OD::Color::getHSV | ( | unsigned char & | h,
|  | unsigned char & | s,
|  | unsigned char & | v ) const

## ◆ getRelLuminance()

float OD::Color::getRelLuminance | ( |  | ) | const

## ◆ getStdStr()

const char * OD::Color::getStdStr | ( | bool | withhash = true,
|  | int | transpopt = 0 ) const

without hash Google KML standard -> order reversed transpopt -1=opacity 0=not 1=transparency

## ◆ getUChar()

static unsigned char OD::Color::getUChar | ( | float | v | ) |
| static

## ◆ gF()

float OD::Color::gF | ( |  | ) | const
| inline

## ◆ Green()

static Color OD::Color::Green | ( |  | ) |
| inline static

## ◆ interpolate()

static Color OD::Color::interpolate | ( | const Color & | ,
|  | const Color & | ,
|  | float | frac = 0.5 )
| static

## ◆ isVisible()

bool OD::Color::isVisible | ( |  | ) | const

## ◆ largeUserInfoString()

const char * OD::Color::largeUserInfoString | ( |  | ) | const

## ◆ lighter()

Color OD::Color::lighter | ( | float | fac | ) | const

## ◆ LightGrey()

static Color OD::Color::LightGrey | ( |  | ) |
| inline static

## ◆ NoColor()

static Color OD::Color::NoColor | ( |  | ) |
| inline static

## ◆ nrStdDrawColors()

static int OD::Color::nrStdDrawColors | ( |  | ) |
| static

## ◆ operator!=()

bool OD::Color::operator!= | ( | const Color & | c | ) | const

## ◆ operator==()

bool OD::Color::operator== | ( | const Color & | c | ) | const

## ◆ Orange()

static Color OD::Color::Orange | ( |  | ) |
| inline static

## ◆ Peach()

static Color OD::Color::Peach | ( |  | ) |
| inline static

## ◆ r()

unsigned char OD::Color::r | ( |  | ) | const

## ◆ Red()

static Color OD::Color::Red | ( |  | ) |
| inline static

## ◆ rF()

float OD::Color::rF | ( |  | ) | const
| inline

## ◆ rgb() [1/2]

unsigned int & OD::Color::rgb | ( |  | ) |

## ◆ rgb() [2/2]

unsigned int OD::Color::rgb | ( |  | ) | const

## ◆ set()

void OD::Color::set | ( | unsigned char | r_,
|  | unsigned char | g_,
|  | unsigned char | b_,
|  | unsigned char | t_ = 0 )

## ◆ setHSV()

void OD::Color::setHSV | ( | unsigned char | h,
|  | unsigned char | s,
|  | unsigned char | v )

## ◆ setRgb()

void OD::Color::setRgb | ( | unsigned int | rgb_ | ) |

## ◆ setStdStr()

void OD::Color::setStdStr | ( | const char * |  | ) |

e.g. "#00ff32"

## ◆ setTransparency()

void OD::Color::setTransparency | ( | unsigned char | t_ | ) |

## ◆ setTransparencyF()

void OD::Color::setTransparencyF | ( | float | tf | ) |

## ◆ stdDrawColor()

static Color OD::Color::stdDrawColor | ( | int |  | ) |
| static

## ◆ t()

unsigned char OD::Color::t | ( |  | ) | const

## ◆ tF()

float OD::Color::tF | ( |  | ) | const
| inline

## ◆ use()

bool OD::Color::use | ( | const char * |  | ) |

## ◆ White()

static Color OD::Color::White | ( |  | ) |
| inline static

## ◆ Yellow()

static Color OD::Color::Yellow | ( |  | ) |
| inline static

## Member Data Documentation

## ◆ col_

unsigned int OD::Color::col_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025